Изменение API Tumblr и падение некоторых приложений

Я бесконечно искал ответы, и я просто не могу найти ничего!

Я использую приложение (Mac) под названием Hyperimage для моего блога Tumblr.

Поскольку разработчик полностью отказался от этого приложения (не возвращая никаких электронных писем с клиентами, устраняя эту проблему, игнорируя запрос на возврат средств через PayPal, пока мне не пришлось жаловаться и т. Д.), Я не могу понять, как я мог бы исправить API самостоятельно?

Я был бы очень благодарен, если бы меня можно было указать в правильном направлении!

Спасибо!

1
nl ja de
Я нахожусь на ПК, но я загрузил их DMG и извлек его с помощью 7zip, и я смотрю на некоторые декодированные файлы приложений, и похоже, что они используют первую версию API, которая устарела и практически устарела. Я не думаю, что здесь будет какое-то простое решение. Это нужно будет полностью перестроить, чтобы использовать Tumblr API V2 с X-Auth (скорее всего), и это будет тяжелой задачей. Я вижу такие вещи, как tumblr.com/api/dashboard и что, насколько мне известно, пока недоступен.
добавлено автор Ally, источник
Мне стало интересно, почему HyperImage на Tumblr не удалось на моем новом Mac. Спасибо за этот пост! Очень грустный. Когда это сработает, я даже куплю его. Хорошо, я сначала попробовал.
добавлено автор therealmarv, источник